import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { MatAutocomplete } from '@angular/material/autocomplete';
import { HighlightStyleConfig } from '@npcz/ngx-highlight';
export declare type SearchQueryData = {
    category?: string;
    query: string;
};
export declare class SearchBarComponent implements OnInit, OnDestroy {
    private _fb;
    private _searchInput;
    private _submitButton;
    placeholder: string;
    clearButton: boolean;
    private _categoryList;
    get categoryList(): string[];
    set categoryList(value: string[]);
    category: string;
    disabled: boolean;
    highlightStyle: HighlightStyleConfig;
    private _autoComplete;
    get autoComplete(): MatAutocomplete;
    set autoComplete(value: MatAutocomplete);
    search: EventEmitter<SearchQueryData>;
    changes: EventEmitter<SearchQueryData>;
    searchQuery: string;
    _searchForm: import("@angular/forms").FormGroup;
    private _ngUnsubscribe$;
    constructor(_fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    clear(): void;
    enable(): void;
    disable(): void;
    focus(): void;
    _onCategorySelected(value: string): void;
    _onCategoryMenuClosed(): void;
    _onSubmit(): void;
    private _setupAutoCompleteSelectionHandler;
    private _setFocusToSearchInput;
    private _moveCursorToEnd;
}
